#include<bits/stdc++.h>
#ifdef xay5421
#define D(...) fprintf(stderr,__VA_ARGS__)
#else
#define D(...) ((void)0)
#endif
#define rep(i,a,b) for(int i=(a);i<=(b);++i)
#define per(i,a,b) for(int i=(a);i>=(b);--i)
#define each(x,v) for(auto&x:v)
#define SZ(x) ((int)(x).size())
using namespace std;
mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());
int main(){
	
	return 0;
}
// Z$J0IqIKa1D2eS0H3N2G2!
